Retrieves all the article status list
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
article_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_status_id |
Foreign key of the article_status |
globally unique identifier |
Required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| sales_organization_id | globally unique identifier |
Required |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "7b0c5004-fbb4-4819-860c-372de530887a",
"article_status_id": "4e950eb8-c8f5-4a91-8bbc-7aa6c75e9048",
"article_id": "5fa1c7b2-3c69-4182-b14d-5dafef4755b0",
"article_code": "sample string 4",
"sales_organization_id": "79ac17db-20ca-4ff1-8ab7-54bbc4bad608",
"modified_dateutc": "2026-10-05T21:20:32.4056975+00:00"
}